glab(1)

NAME
glab-milestone-create - Create a group or project milestone.

SYNOPSIS
glab milestone create [flags]

DESCRIPTION
Create a group or project milestone.

OPTIONS
--description=""
    Description of the milestone.

--due-date=""
    Due date for the milestone. Expected in ISO 8601 format (2025-04-15T08:00:00Z).

--group=""
    The ID or URL-encoded path of the group.

--project=""
    The ID or URL-encoded path of the project.

--start-date=""
    Start date for the milestone. Expected in ISO 8601 format (2025-04-15T08:00:00Z).

--title=""
    Title of the milestone.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

EXAMPLE
     # Create milestone for the current project
    $ glab milestone create --title='Example title' --due-date='2025-12-16'
    # Create milestone for the specified project
    $ glab milestone create --title='Example group milestone' --due-date='2025-12-16' --project 123
    # Create milestone for the specified group
    $ glab milestone create --title='Example group milestone' --due-date='2025-12-16' --group 456

SEE ALSO
glab-milestone(1)